using CarCenterContracts.BindingModels;
using CarCenterContracts.SearchModels;
using CarCenterContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CarCenterContracts.StoragesContracts
{
    public interface IEquipmentStorage
    {
        List<EquipmentViewModel> GetFullList();

        List<EquipmentViewModel> GetFilteredList(EquipmentSearchModel model);

        EquipmentViewModel? GetElement(EquipmentSearchModel model);

        EquipmentViewModel? Insert(EquipmentBindingModel model);

        EquipmentViewModel? Update(EquipmentBindingModel model);

        EquipmentViewModel? Delete(EquipmentBindingModel model);
    }
}
